gajim (2.4.3-1) unstable; urgency=medium

  * Bug fix release

 -- Martin <debacle@debian.org>  Thu, 22 Jan 2026 21:01:25 +0000

gajim (2.4.2-1) unstable; urgency=medium

  * New upstream version
  * Bump nbxmpp and omemo-dr dependencies (Closes: #1123058)

 -- Martin <debacle@debian.org>  Fri, 16 Jan 2026 08:53:18 +0000

gajim (2.4.1-1) unstable; urgency=medium

  * New upstream release
  * Add Depends on python3-httpx and python3-h2 (Closes: #1120552)
  * Add generated files to debian/clean (Closes: #1045134)
  * Update Recommends

 -- Martin <debacle@debian.org>  Sat, 13 Dec 2025 21:45:44 +0000

gajim (2.4.0-1) unstable; urgency=medium

  * New upstream release
  * drop "Rules-Requires-Root: no"
  * move package to Python Team
  * (build-) depend on latest nbxmpp
  * use dh-sequence-python3
  * (build-) depend on latest python3-gi and python3-gi-cairo
  * refreshed patches

 -- Martin <debacle@debian.org>  Wed, 05 Nov 2025 20:16:45 +0000

gajim (2.1.1-2) unstable; urgency=medium

  * Re-upload to unstable
  * Bug fix and maintenance release, see
    /usr/share/doc/gajim/changelog.gz
    for a list of changes

 -- Martin <debacle@debian.org>  Sun, 20 Apr 2025 06:32:23 +0000

gajim (2.1.1-1) experimental; urgency=medium

  * Bug fix and maintenance release, see
    /usr/share/doc/gajim/changelog.gz
    for a list of changes

 -- Martin <debacle@debian.org>  Thu, 17 Apr 2025 07:32:16 +0000

gajim (2.1.0-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Tue, 08 Apr 2025 22:24:53 +0000

gajim (2.0.4-1) unstable; urgency=medium

  * Bug fix release, various improvements

 -- Martin <debacle@debian.org>  Fri, 21 Mar 2025 08:24:27 +0000

gajim (2.0.3-1) unstable; urgency=medium

  * Bug fix release

 -- Martin <debacle@debian.org>  Sat, 15 Mar 2025 22:44:10 +0000

gajim (2.0.2-1) unstable; urgency=medium

  * Bug fix release, various improvements

 -- Martin <debacle@debian.org>  Tue, 11 Mar 2025 06:54:33 +0000

gajim (2.0.1-1) unstable; urgency=medium

  * Bug fix release

 -- Martin <debacle@debian.org>  Mon, 03 Mar 2025 21:41:16 +0000

gajim (2.0.0-1) unstable; urgency=medium

  * Major upstream release, see
    /usr/share/doc/gajim/changelog.gz
    for a list of changes

 -- Martin <debacle@debian.org>  Sat, 01 Mar 2025 00:44:57 +0000

gajim (1.9.5-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Tue, 01 Oct 2024 18:51:29 +0000

gajim (1.9.4-2) unstable; urgency=medium

  * Re-enable translations

 -- Martin <debacle@debian.org>  Fri, 20 Sep 2024 21:04:26 +0000

gajim (1.9.4-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Thu, 19 Sep 2024 21:50:50 +0000

gajim (1.9.3-1) unstable; urgency=medium

  * New upstream version
  * Use Testsuite: autopkgtest-pkg-pybuild instead of debian/tests/control

 -- Martin <debacle@debian.org>  Tue, 30 Jul 2024 06:37:07 +0000

gajim (1.9.2-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Sat, 20 Jul 2024 08:58:13 +0000

gajim (1.9.1-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Sat, 22 Jun 2024 22:25:52 +0000

gajim (1.9.0-1) unstable; urgency=medium

  * New upstream release with many new features and improvements
    See /usr/share/doc/gajim/changelog.gz for details

 -- Martin <debacle@debian.org>  Mon, 10 Jun 2024 08:19:09 +0000

gajim (1.8.4+git20240604.3c0c33a7-1) experimental; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Tue, 04 Jun 2024 21:54:30 +0000

gajim (1.8.4+git20240530.7bb24f15-1) experimental; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Thu, 30 May 2024 21:02:51 +0000

gajim (1.8.4+git20240523.769e88c7-1) experimental; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Thu, 23 May 2024 19:57:40 +0000

gajim (1.8.4+git20240520.269d436c-1) experimental; urgency=medium

  * Upstream snapshot, new database scheme.
    You have a backup of your ~/.config/gajim/, don't you?

 -- Martin <debacle@debian.org>  Mon, 20 May 2024 10:27:09 +0000

gajim (1.8.4-4) unstable; urgency=medium

  * Disable broken unit test (Closes: #1071309)

 -- Martin <debacle@debian.org>  Fri, 17 May 2024 21:29:57 +0000

gajim (1.8.4-3) unstable; urgency=medium

  * Drop obsolete build-depends on python3-distutils (Closes: #1065862)
    and recommends on aspell

 -- Martin <debacle@debian.org>  Sun, 10 Mar 2024 15:05:04 +0000

gajim (1.8.4-2) unstable; urgency=medium

  * Add upstream patch to fix sentry_sdk import error (Closes: #1061281)

 -- Martin <debacle@debian.org>  Wed, 24 Jan 2024 00:19:52 +0000

gajim (1.8.4-1) unstable; urgency=medium

  * New upstream release

 -- Martin <debacle@debian.org>  Sun, 26 Nov 2023 21:45:14 +0000

gajim (1.8.3-1) unstable; urgency=medium

  * New upstream release

 -- Martin <debacle@debian.org>  Mon, 06 Nov 2023 19:39:23 +0000

gajim (1.8.2-1) unstable; urgency=medium

  * New upstream release

 -- Martin <debacle@debian.org>  Sun, 29 Oct 2023 21:18:13 +0000

gajim (1.8.1-1) unstable; urgency=medium

  * New upstream release
  * Drop unused gir1.2-gupnpigd-1.0 from Recommends (Closes: #1040503)

 -- Martin <debacle@debian.org>  Mon, 14 Aug 2023 19:01:36 +0000

gajim (1.8.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Martin <debacle@debian.org>  Sat, 10 Jun 2023 21:24:45 +0000

gajim (1.8.0-1) experimental; urgency=medium

  * New upstream release
    See /usr/share/doc/gajim/changelog.gz for details

 -- Martin <debacle@debian.org>  Sat, 27 May 2023 11:05:30 +0000

gajim (1.7.3+git20230522.8392372a-1) experimental; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Tue, 23 May 2023 16:44:28 +0000

gajim (1.7.3+git20230515.e145689e-1) experimental; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Tue, 16 May 2023 06:46:25 +0000

gajim (1.7.3+git20230504.fc692871-1) experimental; urgency=medium

  * New upstream snapshot, integrates OMEMO (instead of plugin)

 -- Martin <debacle@debian.org>  Sat, 06 May 2023 00:07:11 +0000

gajim (1.7.3-2) unstable; urgency=medium

  * Re-upload to unstable

 -- Martin <debacle@debian.org>  Sat, 08 Apr 2023 20:31:19 +0000

gajim (1.7.3-1) experimental; urgency=medium

  * New upstream release, mainly bug fixes and minor features
  * Recommend gir1.2-ayatanaappindicator3-0.1, needed for tray icon on
    Wayland
  * Depend on python3-nbxmpp >= 4.2.2

 -- Martin <debacle@debian.org>  Wed, 05 Apr 2023 07:49:03 +0000

gajim (1.7.2-3) unstable; urgency=medium

  * One unittest still broken, disabled again

 -- Martin <debacle@debian.org>  Wed, 15 Mar 2023 23:55:53 +0000

gajim (1.7.2-2) unstable; urgency=medium

  * Re-upload to unstable.

 -- Martin <debacle@debian.org>  Tue, 14 Mar 2023 23:24:18 +0000

gajim (1.7.2-1) experimental; urgency=medium

  * New stable maintenance release (bug fixes, minor improvements)
  * Remove obsolete patch disable-broken-unittests.patch

 -- Martin <debacle@debian.org>  Sun, 12 Mar 2023 21:54:36 +0000

gajim (1.7.1-1) unstable; urgency=medium

  * New stable maintenance release (bug fixes, minor improvements)

 -- Martin <debacle@debian.org>  Mon, 13 Feb 2023 13:53:58 +0000

gajim (1.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Martin <debacle@debian.org>  Fri, 03 Feb 2023 16:23:12 +0000

gajim (1.6.1-2) unstable; urgency=medium

  * Disable some partially broken unittests, as suggested by upstream

 -- Martin <debacle@debian.org>  Sun, 15 Jan 2023 10:01:55 +0000

gajim (1.6.1-1) unstable; urgency=medium

  * New upstream maintenance release
    See /usr/share/doc/gajim/changelog.gz for details

 -- Martin <debacle@debian.org>  Sat, 14 Jan 2023 11:10:05 +0000

gajim (1.6.0-1) unstable; urgency=medium

  * New upstream release with many improvements
    See /usr/share/doc/gajim/changelog.gz for details

 -- Martin <debacle@debian.org>  Sat, 07 Jan 2023 20:35:24 +0000

gajim (1.5.4-1) unstable; urgency=medium

  * Upstream maintenance release
  * Recommend gstreamer1.0-gl and gstreamer1.0-nice for A/V calls,
    thanks to Pavel (Narayana Oü)

 -- Martin <debacle@debian.org>  Sat, 03 Dec 2022 23:10:09 +0000

gajim (1.5.3-1) unstable; urgency=medium

  * Upstream maintenance release
  * Add autopkgtest

 -- Martin <debacle@debian.org>  Mon, 31 Oct 2022 17:47:23 +0000

gajim (1.5.2-1) unstable; urgency=medium

  * Upstream bug fix release

 -- Martin <debacle@debian.org>  Sat, 08 Oct 2022 17:58:00 +0000

gajim (1.5.1-1) unstable; urgency=medium

  * Upstream bug fix release

 -- Martin <debacle@debian.org>  Tue, 20 Sep 2022 06:44:04 +0000

gajim (1.5.0-1) unstable; urgency=medium

  * New upstream release with many improvements
    See /usr/share/doc/gajim/changelog.gz for details

 -- Martin <debacle@debian.org>  Mon, 19 Sep 2022 20:48:26 +0000

gajim (1.4.7-1) unstable; urgency=medium

  * Upstream maintenance release
    See /usr/share/doc/gajim/changelog.gz for details

 -- Martin <debacle@debian.org>  Mon, 25 Jul 2022 14:57:57 +0000

gajim (1.4.6-1) unstable; urgency=medium

  * Upstream maintenance release
    See /usr/share/doc/gajim/changelog.gz for details

 -- Martin <debacle@debian.org>  Sat, 09 Jul 2022 15:39:04 +0000

gajim (1.4.5-1) unstable; urgency=medium

  * Upstream maintenance release
    See /usr/share/doc/gajim/changelog.gz for details

 -- Martin <debacle@debian.org>  Thu, 23 Jun 2022 16:55:01 +0000

gajim (1.4.4-1) unstable; urgency=medium

  * Upstream maintenance release
    See /usr/share/doc/gajim/changelog.gz for details

 -- Martin <debacle@debian.org>  Sat, 18 Jun 2022 06:57:34 +0000

gajim (1.4.3-1) unstable; urgency=medium

  * Upstream bug fix release
  * Remove obsolete patch do-not-use-distutils.patch
  * Update some dependencies
  * Activated unit tests again

 -- Martin <debacle@debian.org>  Sun, 05 Jun 2022 22:12:41 +0000

gajim (1.4.0-1) unstable; urgency=medium

  * New major release with many changes and new features,
    see /usr/share/doc/gajim/changelog.gz for details.
  * Update dependencies and recommends according new version.
  * Remove obsolete no-git-call.patch.
  * Add do-not-use-plugininstaller-by-default.patch.
  * Remove Norbert from Uploaders (Closes: #1006715).

 -- Martin <debacle@debian.org>  Mon, 07 Mar 2022 13:18:37 +0000

gajim (1.3.3-1) unstable; urgency=medium

  * Upstream bug fix and maintenance release:
    See /usr/share/doc/gajim/changelog.gz for details.

 -- Martin <debacle@debian.org>  Sat, 09 Oct 2021 21:34:16 +0000

gajim (1.3.2-2) unstable; urgency=medium

  [ John Scott ]
  * Suggest gir1.2-avahi-0.6 which is necessary for Zeroconf support.

  [ Martin ]
  * Upstream bug fix and maintenance release:
    - New
      * Accounts: Add account switch description
    - Changes
      * MessageInput: Remove custom placeholder
      * MessageInput: Add focus borders
    - Bug fixes
      * #10010 Only convert domain name to ASCII
      * #10342 UnicodeDecodeError related to avatars
      * #10428 Roster: Handle missing avatar_sha

 -- Martin <debacle@debian.org>  Sun, 25 Apr 2021 09:15:34 +0000

gajim (1.3.1-1) unstable; urgency=medium

  * New upstream (mostly) bug fix release:
    - Add setting for GSSAPI authentication
    - #10416 Remove conversion of ASCII emojis
    - #10273 VcardWindow: Fix resource string if resource is missing
    - #10424 GroupChatInvitation: Show account badge
    - #10430 Preferences: Check for pipeline before removing elements
    - #10436 Stop early when handling connection-failed in handle_event
    - #10438 Set account window stack as non-vhomogeneous
    - #10443 ServiceRegistration: Use nbxmpp register methods
    - #10445 Change dataform to href markup URLs in fixed field
    - #10450 Workaround for crash on clicking links
    - AvatarSelector: Improve error handling
    - Profile: Show error if avatar upload fails
    - UserAvatar: Handle empty data nodes
    - StatusIcon: Only hide application when its focused

 -- Martin <debacle@debian.org>  Mon, 01 Mar 2021 16:38:07 +0000

gajim (1.3.0-1) unstable; urgency=medium

  * Depend on desktop-file-utils (Closes: #977510)
  * New upstream release

 -- Martin <debacle@debian.org>  Sun, 07 Feb 2021 17:21:48 +0000

gajim (1.3.0~beta2-1) unstable; urgency=medium

  * New upstream beta version

 -- Martin <debacle@debian.org>  Sun, 10 Jan 2021 23:57:37 +0000

gajim (1.3.0~beta1-1) unstable; urgency=medium

  * New upstream beta version with many new features, e.g.
    - Support for Chat Markers (XEP-0333)
    - Support for vCard4 (XEP-0292)
    - Redesigned Voice/Video chat interface

 -- Martin <debacle@debian.org>  Thu, 31 Dec 2020 15:00:23 +0000

gajim (1.2.2-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Tue, 08 Sep 2020 17:59:08 +0000

gajim (1.2.1-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Wed, 08 Jul 2020 21:46:29 +0000

gajim (1.2.0-2) unstable; urgency=medium

  * remove breaks on gajim-rostertweaks

 -- Martin <debacle@debian.org>  Fri, 03 Jul 2020 07:17:05 +0000

gajim (1.2.0-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Sun, 21 Jun 2020 15:52:53 +0000

gajim (1.1.99.1+20200607.6b482a11-1) experimental; urgency=medium

  * New upstream snapshot from the 1.2 branch

 -- Martin <debacle@debian.org>  Sat, 13 Jun 2020 17:29:29 +0000

gajim (1.1.99.1+20200523.534a2947-1) experimental; urgency=medium

  * New upstream snapshot from the 1.2 branch

 -- Martin <debacle@debian.org>  Sat, 23 May 2020 23:52:52 +0000

gajim (1.1.99.1+20200510.03412e7e-1) experimental; urgency=medium

  * New upstream snapshot from the 1.2 branch

 -- Martin <debacle@debian.org>  Sun, 10 May 2020 21:52:12 +0000

gajim (1.1.99~20200429.65506e31-1) experimental; urgency=medium

  * New upstream snapshot from the 1.2 branch

 -- Martin <debacle@debian.org>  Wed, 29 Apr 2020 21:16:07 +0000

gajim (1.1.94~20200429.9b7ae7d5-1) experimental; urgency=medium

  * New upstream snapshot
    - remove obsolete patches

 -- Martin <debacle@debian.org>  Wed, 29 Apr 2020 19:55:04 +0000

gajim (1.1.94~20200421.36d26149-1) experimental; urgency=medium

  * Upstream master snapshot
    - added two patches by upstream contributor: add-account-icon.patch
      and get_last_conversation_lines-account-specific.patch

 -- Martin <debacle@debian.org>  Wed, 22 Apr 2020 22:54:07 +0000

gajim (1.1.3-2) unstable; urgency=medium

  * re-upload to unstable

 -- W. Martin Borgert <debacle@debian.org>  Sun, 21 Jul 2019 19:47:33 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog gajim`.
